Page MenuHomePhabricator

mw.track subscribers cannot unsubscribe
Closed, ResolvedPublic

Description

Use case: raven.js takes over the global error handler as soon as it loads (316). It needs mw.track to not miss exceptions that happen before/during loading. It needs to ignore mw.track once it has loaded to avoid double reporting.

This is easy to work around with a flag in the subscribe callback so feel free to decline if you don't feel this capability would be useful in general. Otherwise, assign back to me and I'll write the patch.

Event Timeline

Tgr created this task.Mar 26 2015, 12:37 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr assigned this task to Krinkle.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 12:37 AM

Change 200271 had a related patch set uploaded (by Krinkle):
mw.track: Implement trackUnsubscribe

https://gerrit.wikimedia.org/r/200271

Krinkle triaged this task as Normal priority.Mar 29 2015, 8:06 AM
Krinkle set Security to None.

Change 200271 merged by jenkins-bot:
mw.track: Implement trackUnsubscribe

https://gerrit.wikimedia.org/r/200271

Jdforrester-WMF closed this task as Resolved.May 4 2015, 6:39 PM